#### INRECDELIM

#### Synopsis

    HELP:   Record delimiter for original files
    TYPE:   STRING
    SYNTAX: INRECDELIM/IRECDEL/IRECD/IREC='bin-hex'

#### Description

Record delimiter for original input file.

See also parameters RECDELIM and OUTRECDELIM.

Syntax restrictions for FLAMv4 or older:

- Z/OS
  - `IRECDEL=String`
  - `IRECD=String`
    - Note: Not evaluated by FLAM under z/OS.
- UNIX
  - `-inrecdelim=record delimiter`
- WINDOWS
  - `inrecdelim=record delimiter`
  - `inrecd=record delimiter`

Values

- Z/OS
  - String of up to 4 characters
- UNIX
  - Hexadecimal characters between 01 and ff, with a length of either 1 or 2 bytes.
    - Note: This parameter specifies the record delimiter for an original file with a stream record format. If a stream record format is specified without a record delimiter, 0x0a and 0x0d0a are interpreted as the end of a record.
      If only 0x0a should be interpreted as the end of a record, `inrecdelim=0a` must be specified, in order to ensure that occurrences of 0x0d which precede 0x0a are interpreted as part of the data and not as part of a record delimiter. If only 0x0d0a should be interpreted as a record delimiter in a particular file, `inrecdelim=0d0a` must be specified, to ensure that any 0x0a strings which occur alone are identified as belonging to the data.
      Any other character combinations can be used as record delimiters, in addition to 0x0a and 0x0d0a.
- WINDOWS
  - Hexadecimal characters between 01 and FF, length: 1 or 2 bytes (2 or 4 hex characters).
    - NOTE: With this parameter the input record delimiter of an original file is specified with record format text. When using record format text without specification of input record delimiter, 0d0a (CRLF) is interpreted as the end of record. If only "0a" is intended as the end of record, then `inrecdelim=0a` has to be specified in order to interpret a "0d" before a "0a" not as part of the input record delimiters but as part of the data. If a file is meant to contain the input record delimiter characters 0d0a only, `inrecdelim=0d0a` has to be specified in order to recognize isolated characters "0a" as part of the data. Not only 0a and 0d0a are allowed as input record delimiters, but also any other character combinations.

Default

- no input record delimiter

Valid for

- compression